using Device;
using EEMSClientCore;
using ServiceBase;
namespace TestSignalRClient;

internal class Program
{
    static void Main(string[] args)
    {
        IClientBaseProvider baseProvider = new ClientBaseProvider();
        ClientCaller hubSender = new(baseProvider);
        IClientCaller caller = hubSender;
        hubSender.Initialize();
        hubSender.Open("localhost", 50054, "ClientHub");

        DeviceInfo deviceInfo = new()
        {

        };

        Guid guid = caller.RegisterDevice(deviceInfo).Result;
        Console.WriteLine(guid);
        Thread.Sleep(-1);
    }
}

internal class ClientBaseProvider : IClientBaseProvider
{
    public string? RecipePath { get; set; }
    public string? ConfigPath { get; set; }
}